Forum > Cocoa

Linking error - Cocoa problem

(1/1)

norosz123456:
Hello!

I use Lazarus v.2.0.10. on macOS m1 max. I do not updated nothing (no lazarus, no Xcode). All of my old projects are run, but if I want to create a new project and run it, or copy and old project and run it too I get error messages:


ld: framework not found Cocoa
An error occurred while linking
Error: Error while linking

I do not know what is the problem, but I can't do my projects. PLS HELP!

Igor Kokarev:
I recommend you consider at least Lazarus 2.2+ and FPC 3.2.2+, because these versions of Lazarus/FPC were greatly optimized and adapted for Apple Silicon, with native compilation of ARM binaries.

JdeHaan:
Did you install XCode and the CommandLine tools?

Navigation

[0] Message Index

Go to full version